#!/bin/bash
BK=$LANG
LANG=en_GB.UTF-8
APK_PACKAGE=###APK_PACKAGE###
UP_APK=$APK_PACKAGE/up
KEY=$APK_PACKAGE/temp/KEY
TEMP=$APK_PACKAGE/temp/
JAVAHOME=###JAVAHOME###
PATH=$PATH:$JAVAHOME/bin
export PATH

mkdir -p $KEY $TEMP/apk/temp
rm -fr $UP_APK/KingGoo.Com.log $UP_APK/KingGoo.Com_Err.log $UP_APK/log $TEMP/vancl 2> /dev/null

if  [ ! -e "$UP_APK/source_id.txt" ] || [ ! -s "$UP_APK/source_id.txt" ] || [ ! -e "$UP_APK/vancl.apk" ]||[ ! -e "$KEY/lingxin" ];then
     echo "[" `date` "]" --- ERROR --- "请检查sourid.txt，vancl.apk,Key文件是否存在或为空。" >> $UP_APK/KingGoo.Com_Err.log
     break;
else
dos2unix $UP_APK/source_id.txt
unzip "$UP_APK/vancl.apk" -d $TEMP/vancl 2>> $UP_APK/KingGoo.Com_Err.log	
L=`cat $UP_APK/source_id.txt |wc -l`
for line in $(<"$UP_APK/source_id.txt")
	do 
		echo $line > $TEMP/vancl/assets/sourid.txt
		echo "[" `date` "]" --- INFO --- " sourid.txt good"  >> $UP_APK/log
		cd $TEMP/vancl
		zip -r -8 $TEMP/apk/temp/$line.apk ./*
 		jarsigner -verbose -keystore $KEY/lingxin -storepass 此处是密码的密码 -signedjar $TEMP/apk/$line.apk $TEMP/apk/temp/$line.apk yek
		if [ ! -e $TEMP/apk/$line.apk ]; then echo "[" `date` "]" --- INFO --- " make apk err $line"  >> $UP_APK/KingGoo.Com_Err.log;fi
		rm -fr $TEMP/apk/temp/$line.apk
		cd -
	done 
rm -fr $TEMP/apk/temp
i=`ls -l $TEMP/apk/ |wc -l`
i=$(($i-1))
echo "<hr>执行<b>Source ID</b> 次数：<b>$i</b>。<br>输入的<b>Source ID</b>数目:<b>$L</b><br>" >> $UP_APK/KingGoo.Com.log
if [ $i == $L ];then echo "执行总次数与SOURCE ID条数来看，说明渠道打包成功<hr>" >>$UP_APK/KingGoo.Com.log;else echo "执行总次数与SOURCE ID条数来看,你打包出错了，请联系liuxue@vancl.cn<br>" >>$UP_APK/KingGoo.Com.log;fi
ls -l $TEMP/apk/ > $UP_APK/log && awk -F ' ' 'NR==1 {print "<b>文件大小</b>" "\t""|""\t" "<b>文件名称</b><hr>" } NR>=2 {print $5 "\t""|""\t" $9 }' $UP_APK/log >> $UP_APK/KingGoo.Com.log
		
fi
LANG=$BK
